\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{isna}
%\DeclareOption{mathptm}{%
%  \def\ISNA@fonts{\RequirePackage{timesnew,mathptm}}}
\DeclareOption{mathtime}{%
 \def\ISNA@fonts{\RequirePackage{times,mathptm}}}
%\RequirePackage[cmbold,subscriptcorrection,nofontinfo]{mathtime}}}
\DeclareOption{cmfonts}{%
  \let\ISNA@fonts\relax}
\DeclareOption{epsfig}{\AtEndOfClass{\RequirePackage{epsfig}}}
\DeclareOption{eqseq}{\AtEndOfClass{\eqnotbysec}}
\DeclareOption{eqbysec}{\AtEndOfClass{\eqnobysec}}
%\ExecuteOptions{mathtime,epsfig}   
%\ExecuteOptions{cmfonts,epsfig}
\ProcessOptions
\AtEndOfClass{\ISNA@fonts}

\LoadClass[a4paper,12pt]{article}      

\pagestyle{empty}

%Page layout
\oddsidemargin=5.6mm		  	  
%\evensidemargin 2pc		   	
\textwidth=148mm
\topmargin=3.6mm
\headheight=5mm
\headsep=5mm
\topskip =  12pt
\footskip 16pt
\textheight=217mm

%Sections etc

\renewcommand\section{\@startsection {section}{5}{\z@}%
                                   {16pt \@plus 1ex \@minus .2ex}%
                                   {10pt \@plus.2ex}%
                                   {\normalfont\large\bfseries\center\@afterindenttrue}
       				}

\renewcommand\subsection{\@startsection {section}{5}{\z@}%
                                   {12pt \@plus 1ex \@minus .2ex}%
                                   {10pt \@plus.2ex}%
                                   {\normalfont\large\bfseries\center}}

\renewcommand\subsubsection{\@startsection {section}{5}{\z@}%
                                   {10pt \@plus 1ex \@minus .2ex}%
                                   {10pt \@plus.2ex}%
                                   {\fontsize{13pt}{13pt} \em \center}}



\renewcommand\figurename{FIGURE}

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\footnotesize {\bf #1.} #2}}%
  \ifdim \wd\@tempboxa >\hsize
   \footnotesize {\bf #1.} #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}




%\setcounter{topnumber}{3}
%\def\topfraction{1}
%\setcounter{bottomnumber}{2}
%\def\bottomfraction{.8}
%\setcounter{totalnumber}{4}
%\def\textfraction{0}
%\def\floatpagefraction{.8}
%\setcounter{dbltopnumber}{3}
%\def\dbltopfraction{1}
%\def\dblfloatpagefraction{.8}

%\floatsep 12pt plus 6pt minus 1pt 
%\textfloatsep 18pt plus 6pt minus 3pt
%\intextsep 18pt plus 3pt minus 2pt
%\@fptop 0pt plus 0fil
%\@fpsep 12pt plus 0fil
%\@fpbot 0pt plus 3fil

\parskip \z@ %plus .1pt
\parindent 1cm
\partopsep 0pt plus 0pt

\@lowpenalty   51      % Produced by \nopagebreak[1] or \nolinebreak[1]
\@medpenalty  151      % Produced by \nopagebreak[2] or \nolinebreak[2]
\@highpenalty 301      % Produced by \nopagebreak[3] or \nolinebreak[3]

\@beginparpenalty -\@lowpenalty    % Before a list or paragraph environment.
\@endparpenalty   -\@lowpenalty    % After a list or paragraph environment.
\@itempenalty     -\@lowpenalty    % Between list items.


\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\setlength\leftmargini  {2em}
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\renewcommand\labelenumi{\theenumi.}
\renewcommand\labelenumii{(\theenumii)}
\renewcommand\labelenumiii{\theenumiii.}
\renewcommand\labelenumiv{\theenumiv.}

\clubpenalty=0        % 'Club line'  at bottom of page is OK.
\widowpenalty=10000   % 'Widow line' at top of page is not good.

\def\enumerate{\ifnum \@enumdepth >3 \@toodeep\else
    \advance\@enumdepth \@ne 
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}\list
    {\csname label\@enumctr\endcsname}{\usecounter
    {\@enumctr}\def\makelabel##1{##1\hss}%
    \labelsep=0\p@
\parsep=0pt\listparindent=0pt\itemsep=0pt\partopsep=0pt
    \rightmargin=0pt}\fi}
%
\def\itemize{\ifnum \@itemdepth >3 \@toodeep\else \advance\@itemdepth \@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
    \list{\csname\@itemitem\endcsname}{\def\makelabel##1{##1\hss}%
    \labelsep=0\p@\parsep=0pt\listparindent=0pt\itemsep=0pt\partopsep=0pt
    \rightmargin=0pt}\fi}



%Define titles etc
\def\title#1{%
  \def\@title{#1}%
  }

\def\author#1{%
  \def\@author{#1}%
  }

\def\address#1{%
  \def\@address{%
\makeatletter 
#1% 
\makeatother
}%
  }


\def\maketitle{%
  \newpage
%  \thispagestyle{titlepage}\label{FirstPage}
%  \null
%  \setcounter{footnote}{1}
  \@maketitle
  \@thanks
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
%  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  \sloppy
}



\def\@maketitle{%
  \vspace*{4pt}%
\begin{center}
{\bf \center \LARGE \@title \par}%
    \vskip 24pt%
      {\large  \@author } 
    \vskip 24pt%
      {\footnotesize \it%
		\@address%
		\par
} 
\end{center}
%  \vskip 0pt
}

\renewenvironment{abstract}{%
%      \vskip 36pt%
       \vskip 8mm %
%      \noindent %
      \footnotesize % 
      \begin{list}{{\bfseries Abstract. }}{%
	\leftmargin 10mm%
	\rightmargin 10mm%
	\labelwidth 0mm %
        \labelsep 0mm%
        \topsep 0mm
	\listparindent 7mm}%   
	\item%
 }%		 
     {\end{list} \vskip 36pt}






\def\thebibliography#1{\section{REFERENCES}
 \footnotesize
\list
 {\hfil{\arabic{enumi}.}}{\topsep=0\p@\parsep=0\p@
 \partopsep=0\p@\itemsep=6pt
 \labelsep=5\p@
 \itemindent=0\p@
 \settowidth\labelwidth{\normalsize[#1]}%
 \leftmargin\labelwidth
 \advance\leftmargin\labelsep
 \advance\leftmargin -\itemindent
 \advance\leftmargin -4pt
%\normalsize
 \usecounter{enumi}
 }
 \def\newblock{\hskip .02em plus .01em minus .02em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \hyphenpenalty3000
 \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist


\endinput



